Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.impl.wsdl.teststeps
Class WsdlMessageAssertion

    java.lang.Object
      com.eviware.soapui.model.support.AbstractModelItem
          com.eviware.soapui.impl.wsdl.teststeps.WsdlMessageAssertion

All Implemented Interfaces:
  ModelItem, PropertyChangeNotifier

Direct Known Subclasses:
  GroovyScriptAssertion, NotSoapFaultAssertion, ResponseSLAAssertion, SchemaComplianceAssertion, SimpleContainsAssertion, SimpleNotContainsAssertion, SoapFaultAssertion, SoapResponseAssertion, XPathContainsAssertion, XQueryContainsAssertion

    public abstract class WsdlMessageAssertion

extends AbstractModelItem

Base class for WsdlAssertions

Author:
  Ole.Matzura

Nested Class Summary

Nested classes/interfaces inherited from class com.eviware.soapui.model.support.AbstractModelItem
`AbstractModelItem.ShowModelItemAction`

Field Summary
`static java.lang.String` | `CONFIGURATION_PROPERTY`
`static java.lang.String` | `ERRORS_PROPERTY`
`static java.lang.String` | `STATUS_PROPERTY`

Fields inherited from interface com.eviware.soapui.model.ModelItem
`DESCRIPTION_PROPERTY, ICON_PROPERTY, NAME_PROPERTY`

Constructor Summary
`protected` | `WsdlMessageAssertion(com.eviware.soapui.config.RequestAssertionConfig assertionConfig, Assertable modelItem, boolean cloneable, boolean configurable, boolean multiple)`

Method Summary
`Assertable.AssertionStatus` | `assertRequest(WsdlMessageExchange messageExchange, SubmitContext context)`
`Assertable.AssertionStatus` | `assertResponse(WsdlMessageExchange messageExchange, SubmitContext context)`
`boolean` | `configure()`
`Assertable` | `getAssertable()`
`com.eviware.soapui.config.RequestAssertionConfig` | `getConfig()`
`org.apache.xmlbeans.XmlObject` | `getConfiguration()`
`java.lang.String` | `getDescription()`
`AssertionError[]` | `getErrors()`
`javax.swing.ImageIcon` | `getIcon()`
`java.lang.String` | `getName()`
`Settings` | `getSettings()`
`Assertable.AssertionStatus` | `getStatus()`
`protected abstract java.lang.String` | `internalAssertRequest(WsdlMessageExchange messageExchange, SubmitContext context)`
`protected abstract java.lang.String` | `internalAssertResponse(WsdlMessageExchange messageExchange, SubmitContext context)`
`boolean` | `isAllowMultiple()`
`boolean` | `isClonable()`
`boolean` | `isConfigurable()`
`void` | `release()`
`void` | `setConfiguration(org.apache.xmlbeans.XmlObject configuration)`
`void` | `setName(java.lang.String name)`
`void` | `updateConfig(com.eviware.soapui.config.RequestAssertionConfig config)`

Methods inherited from class com.eviware.soapui.model.support.AbstractModelItem
`addPropertyChangeListener, addPropertyChangeListener, notifyPropertyChanged, notifyPropertyChanged, notifyPropertyChanged, removePropertyChangeListener, removePropertyChangeListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### STATUS_PROPERTY

    public static final java.lang.String STATUS_PROPERTY

### ERRORS_PROPERTY

    public static final java.lang.String ERRORS_PROPERTY

### CONFIGURATION_PROPERTY

    public static final java.lang.String CONFIGURATION_PROPERTY

Constructor Detail

### WsdlMessageAssertion

    protected WsdlMessageAssertion(com.eviware.soapui.config.RequestAssertionConfig assertionConfig,
                                   Assertable modelItem,
                                   boolean cloneable,
                                   boolean configurable,
                                   boolean multiple)

Method Detail

### getConfiguration

    public org.apache.xmlbeans.XmlObject getConfiguration()

### setConfiguration

    public void setConfiguration(org.apache.xmlbeans.XmlObject configuration)

### getName

    public java.lang.String getName()

### setName

    public void setName(java.lang.String name)

### getStatus

    public Assertable.AssertionStatus getStatus()

### getErrors

    public AssertionError[] getErrors()

### isAllowMultiple

    public boolean isAllowMultiple()

### assertResponse

    public Assertable.AssertionStatus assertResponse(WsdlMessageExchange messageExchange,
                                                     SubmitContext context)

### internalAssertResponse

    protected abstract java.lang.String internalAssertResponse(WsdlMessageExchange messageExchange,
                                                               SubmitContext context)
                                                        throws AssertionException

  Throws:
    `AssertionException`

### assertRequest

    public Assertable.AssertionStatus assertRequest(WsdlMessageExchange messageExchange,
                                                    SubmitContext context)

### internalAssertRequest

    protected abstract java.lang.String internalAssertRequest(WsdlMessageExchange messageExchange,
                                                              SubmitContext context)
                                                       throws AssertionException

  Throws:
    `AssertionException`

### isConfigurable

    public boolean isConfigurable()

### isClonable

    public boolean isClonable()

### configure

    public boolean configure()

### getDescription

    public java.lang.String getDescription()

### getIcon

    public javax.swing.ImageIcon getIcon()

### updateConfig

    public void updateConfig(com.eviware.soapui.config.RequestAssertionConfig config)

### getConfig

    public com.eviware.soapui.config.RequestAssertionConfig getConfig()

### getSettings

    public Settings getSettings()

### release

    public void release()

### getAssertable

    public Assertable getAssertable()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.